---
title: The DevOps Lifecycle with GitLab
suppress_header: true
description: "GitLab is the first single application for the entire DevOps lifecycle. From planning to monitoring GitLab covers every stage and additionally lets you manage and secure across stages."
canonical_path: "/stages-devops-lifecycle/"
extra_css:
  - stages-devops-lifecycle.css
  - /stylesheets/merchandising-content.css
extra_js:
  - features.js
---

.blank-header
  = image_tag "/images/home/icons-pattern-left.svg", class: "image-border image-border-left", alt: "Gitlab hero border pattern left svg"
  = image_tag "/images/home/icons-pattern-right.svg", class: "image-border image-border-right", alt: "Gitlab hero border pattern right svg"
  .header-content
    = image_tag "/images/devops-tools/gitlab-logo.svg", class: "hero-image-small", alt: "GitLab logo icon svg"
    %h1 Simplify your workflow with GitLab
    %p
      Develop with DevOps in a single application
    = link_to "/free-trial/", class: "btn cta-btn orange" do
      Try GitLab free

= partial "includes/merchandising-content-single"
= partial "includes/home/customer-logos-transparent"

.solutions-wrapper
  .solution-container.flex-container.justify-center.align-center.full-width
    .solution-info-container.flex-container.flex-column.full-width
      %h2
        How DevOps is better with GitLab
      %p
        GitLab is a complete open-source DevOps platform, delivered as a single application, fundamentally changing the way Development, Security, and Ops teams collaborate and build software. From idea to production, GitLab helps teams improve cycle time from weeks to minutes, reduce development process costs and decrease time to market while increasing developer productivity.
    .solution-image-container.flex-container.align-center.full-width
      = image_tag "/images/stages-devops-lifecycle/devops-loop-and-spans-small.png", :alt => "Gitlab devops loop png"
  - data.stages.stages.select{|stageKey,stage| stage.marketing}.keys.each do |solution|
    - link_url = "/stages-devops-lifecycle/#{solution.to_s.gsub(/_/, '-')}"
    - if (data.stages.stages.public_send(solution).image)
      .solution-container.flex-container.justify-center.align-center.full-width
        .solution-info-container.flex-container.flex-column.full-width
          %h2
            %a{ href: link_url }
              = data.stages.stages.public_send(solution).display_name
          %h4
            = data.stages.stages.public_send(solution).description
          %p
            = data.stages.stages.public_send(solution).body
          %a.learn-more.flex-container.align-center{ href: link_url }
            %p
              Learn More →
        .solution-image-container.flex-container.align-center.full-width
          = image_tag data.stages.stages.public_send(solution).image, :alt => "Gitlab stage image", loading: 'lazy'
    - else
      .solution-no-image
        %h2
          %a{ href: link_url }
            = data.stages.stages.public_send(solution).display_name
        %p
          = data.stages.stages.public_send(solution).description
        %p
          = data.stages.stages.public_send(solution).body
        %a.learn-more.flex-container.align-center{ href: link_url }
          %p
            Learn More →

.gitlab-cta-container.text-center.animated
  .container
    = link_to "/features", class: "btn cta-btn red hidden-sm hidden-xs" do
      See all features

.gitlab-cta-container.text-center.animated
  .container
    %h2
      Choose the version of GitLab that is best for you
    %h4
      Host GitLab on your servers or let us host it for you
    = link_to "/pricing", class: "btn cta-btn red hidden-sm hidden-xs" do
      Explore our plans
    = link_to "/pricing", class: "btn cta-btn red visible-sm visible-xs" do
      Explore
